package hu.unideb.inf.shoppinglist;


import android.os.Bundle;

import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RadioGroup;


/**
 * A simple {@link Fragment} subclass.
 */
public class ColorFragment extends Fragment {

    private String color = "";

    public String getColor() {
        return color;
    }

    public ColorFragment() {
        // Required empty public constructor
    }

    public static ColorFragment newinstance() {
        return new ColorFragment();
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        final View rootView =
                inflater.inflate(R.layout.fragment_color, container, false);
        final RadioGroup radioGroup = rootView.findViewById(R.id.radioGroup);
        radioGroup.setOnCheckedChangeListener(new
                                                      RadioGroup.OnCheckedChangeListener() {
                                                          @Override
                                                          public void onCheckedChanged(RadioGroup radioGroup, int i) {
                                                              View radioButton = radioGroup.findViewById(i);
                                                              int index = radioGroup.indexOfChild(radioButton);
                                                              switch (index) {
                                                                  case 0: color=" (Red)"; break;
                                                                  case 1: color=" (Green)"; break;
                                                                  default: break;
                                                              }
                                                          }
                                                      });
        return rootView;
    }

}
